package com.seer.teach.admin.convert;

import com.seer.teach.admin.request.RichTextTemplateReq;
import com.seer.teach.admin.response.RichTextTemplateResp;
import com.seer.teach.teacher.module.entity.RichTextTemplateEntity;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface RichTextTemplateConvert {

    RichTextTemplateConvert INSTANCE = Mappers.getMapper(RichTextTemplateConvert.class);

    RichTextTemplateResp entityToResponse(RichTextTemplateEntity richTextTemplateEntity);

    List<RichTextTemplateResp> entityListToResponseList(List<RichTextTemplateEntity> richTextTemplateEntityList);

    RichTextTemplateEntity reqToEntity(RichTextTemplateReq richTextTemplateRequest);
}